import { Function, FunctionProps } from "aws-cdk-lib/aws-lambda";
import { Construct } from "constructs";
import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
/**
 * Properties for ObservedFunction.
 */
export interface ObservedFunctionProps extends FunctionProps, FunctionAlarmsOptions {
}
/**
 * Lambda Function with CloudWatch alarms.
 */
export declare class ObservedFunction extends Function {
    readonly functionAlarms: FunctionAlarms;
    constructor(scope: Construct, id: string, props: ObservedFunctionProps);
}
